## fcitx 4.2.9.32.14

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.6)

project(fcitx)

set(version 4.2.9.32.10)

if (CMAKE_HOST_SYSTEM_PROCESSOR MATCHES "mips64")
    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -O3 -Wl,-O1 -Wl,--as-needed -Wl,-E -fPIE -ffunction-sections -fdata-sections -Wl,--gc-sections -ftree-vectorize -march=loongson3a -mhard-float -mno-micromips -mno-mips16 -flax-vector-conversions -mloongson-ext2 -mloongson-mmi -z noexecstack")
    SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -O3 -Wl,-O1 -Wl,--as-needed -Wl,-E -fPIE -ffunction-sections -fdata-sections -Wl,--gc-sections -ftree-vectorize -march=loongson3a -mhard-float -mno-micromips -mno-mips16 -flax-vector-conversions -mloongson-ext2 -mloongson-mmi -z noexecstack")
    SET(CMAKE_EXE_LINKER_FLAGS  "-pie")
endif()

set(CMAKE_C_STANDARD 99)
set(CMAKE_C_STANDARD_REQUIRED TRUE)

find_package(ECM 0.0.11 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH "${ECM_MODULE_PATH}" "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
set(CMAKE_AUTOMOC_RELAXED_MODE TRUE)

set_property(GLOBAL PROPERTY "__FCITX_INTERNAL_BUILD" ON)

option(ENABLE_X11 "Enable X11 as dependency" ON)
option(ENABLE_GLIB2 "Enable GLib2 as depenedency" ON)
option(ENABLE_CAIRO "Enable Cairo" ON)
option(ENABLE_DBUS "Enable DBus Support" ON)
option(ENABLE_PANGO "Enable Pango Support" ON)
option(ENABLE_XKB "Enable xkb support" ON)
option(ENABLE_DEBUG "Enable Debug" OFF)
option(ENABLE_PINYIN "Enable Pinyin" ON)
option(ENABLE_TABLE "Enable Table IM" ON)
option(ENABLE_GTK2_IM_MODULE "Enable GTK2 IM Module" ON)
option(ENABLE_GTK3_IM_MODULE "Enable GTK3 IM Module" ON)
option(ENABLE_QT "Enable Qt-based lib" ON)
option(ENABLE_QT_IM_MODULE "Enable Qt IM Module" ON)
option(ENABLE_QT_GUI "Enable Qt-based configuration GUI" ON)
option(ENABLE_OPENCC "Enable OpenCC for Chinese Transform" ON)
option(FORCE_OPENCC
  "Enable opencc even if the library is not found at compile time" OFF)
option(ENABLE_LUA "Enable Lua support" ON)
option(ENABLE_STATIC "Build Static Library" OFF)
option(ENABLE_TEST "Test build" ON)
option(ENABLE_SNOOPER "Enable Key Snooper for gtk app" ON)
option(ENABLE_GIR "Enable GObject Introspection" ON)
option(ENABLE_ENCHANT "Enable enchant for word predication" ON)
option(ENABLE_PRESAGE "Enable presage for word predication" ON)
option(FORCE_ENCHANT
  "Enable enchant even if the library is not found at compile time" OFF)
option(FORCE_PRESAGE
  "Enable presage even if the library is not found at compile time" OFF)
option(ENABLE_BACKTRACE "Enable backtrace support" ON)
option(ENABLE_XDGAUTOSTART "Enable xdg autostart desktop file installation" ON)
option(ENABLE_GETTEXT "Enable gettext support." ON)
option(ENABLE_SPELL "Enable Spell Addon" ON)

if(NOT NO_SNOOPER_APPS)
  set(NO_SNOOPER_APPS ".*chrome.*,.*chromium.*,firefox.*,Do.*"
    CACHE STRING "Disable Key Snooper for following app")
endif()

if(NOT NO_PREEDIT_APPS)
  set(NO_PREEDIT_APPS "gvim"
    CACHE STRING "Disable Preedit for the following apps")
endif()

include(CheckIncludeFiles)
include(CheckFunctionExists)
include(FindPkgConfig)
include(UseDoxygen OPTIONAL)
include(FcitxMacro)

_fcitx_add_uninstall_target()
check_include_files(unistd.h HAVE_UNISTD_H)
check_include_files(malloc.h HAVE_MALLOC_H)
check_include_files(stdbool.h HAVE_STDBOOL_H)
check_function_exists(asprintf HAVE_ASPRINTF)

find_package(Libintl REQUIRED)
find_package(Libiconv REQUIRED)
find_package(Pthread REQUIRED)
find_package(Libexecinfo)
find_package(GettextPo)
find_package(XKBCommon 0.5.0 REQUIRED COMPONENTS XKBCommon)

if(NOT ENABLE_GETTEXT OR NOT GETTEXTPO_FOUND)
  fcitx_disable_gettext()
endif()

if(LIBEXECINFO_LIB_FOUND)
  set(ENABLE_BACKTRACE 1)
else()
  set(ENABLE_BACKTRACE 0)
endif()

if(${CMAKE_SYSTEM_NAME} MATCHES "BSD")
  find_package(Libkvm REQUIRED)
endif(${CMAKE_SYSTEM_NAME} MATCHES "BSD")
find_package(DL REQUIRED)
if(ENABLE_ENCHANT)
  find_package(Enchant)
  if(NOT (ENCHANT_FOUND OR FORCE_ENCHANT))
    set(ENABLE_ENCHANT Off)
  endif()
endif()
if (ENABLE_XKB)
    # Parse xkb xml file
    find_package(LibXml2 REQUIRED)
    find_package(IsoCodes REQUIRED)
    find_package(XkbFile REQUIRED)
    # Parse isocodes json
    pkg_check_modules(JsonC "json-c" IMPORTED_TARGET REQUIRED)
endif (ENABLE_XKB)
if(ENABLE_PRESAGE)
  find_package(Presage)
  if(NOT (PRESAGE_FOUND OR FORCE_PRESAGE))
    set(ENABLE_PRESAGE Off)
  endif()
endif()

if(ENABLE_QT)
  find_package(Qt4 4.8 COMPONENTS QtCore QtGui QtDBus REQUIRED)
endif()

if(ENABLE_X11)
find_package(X11 REQUIRED)

if (NOT X11_Xkb_FOUND)
    message(FATAL_ERROR "Xkb is needed")
endif (NOT X11_Xkb_FOUND)

find_package(XKeyboardConfig REQUIRED)

endif()

if (ENABLE_TEST)
    enable_testing()
endif ()

set(_ENABLE_CAIRO 0)
set(_ENABLE_PANGO 0)
if (ENABLE_X11 AND ENABLE_CAIRO)
    PKG_CHECK_MODULES(CAIRO_XLIB REQUIRED "cairo-xlib>=1.0" )
    if (CAIRO_XLIB_FOUND)
        set(_ENABLE_CAIRO 1)
    endif (CAIRO_XLIB_FOUND)
endif (ENABLE_X11 AND ENABLE_CAIRO)

set(_ENABLE_PANGO 0)
if (_ENABLE_CAIRO AND ENABLE_GLIB2)
    if (ENABLE_PANGO)
        PKG_CHECK_MODULES(PANGOCAIRO "pangocairo>=1.0" )
        if (PANGOCAIRO_FOUND)
            set(_ENABLE_PANGO 1)
        endif (PANGOCAIRO_FOUND)
    endif (ENABLE_PANGO)
    if (NOT _ENABLE_PANGO)
        PKG_CHECK_MODULES(FONTCONFIG REQUIRED "fontconfig")
    endif (NOT _ENABLE_PANGO)
endif(_ENABLE_CAIRO AND ENABLE_GLIB2)

set(_ENABLE_DBUS 0)
if (ENABLE_DBUS)
    PKG_CHECK_MODULES(DBUS "dbus-1>=1.1.0" )
    if (DBUS_FOUND)
        set(_ENABLE_DBUS 1)
    endif (DBUS_FOUND)
endif (ENABLE_DBUS)

if(ENABLE_OPENCC)
    find_package(OpenCC)
    if(NOT (OPENCC_FOUND OR FORCE_OPENCC))
        set(ENABLE_OPENCC Off)
    endif()
endif()

set(HAVE_XINERAMA 0)
if (X11_Xinerama_FOUND)
    set(HAVE_XINERAMA 1)
endif (X11_Xinerama_FOUND)

if (X11_Xfixes_FOUND)
    set(HAVE_XFIXES 1)
endif (X11_Xfixes_FOUND)

if(ENABLE_DEBUG)
    set(_DEBUG ON)
endif(ENABLE_DEBUG)

set(package     fcitx)
set(prefix      ${CMAKE_INSTALL_PREFIX})
set(exec_prefix ${CMAKE_INSTALL_PREFIX})
set(bindir ${exec_prefix}/bin)

if(NOT DEFINED LIB_INSTALL_DIR)
    set(LIB_INSTALL_DIR "${exec_prefix}/lib" CACHE PATH "Library install directory [default=PREFIX/lib/]")
endif()
if(NOT DEFINED LIBDATA_INSTALL_DIR)
    set(LIBDATA_INSTALL_DIR "${LIB_INSTALL_DIR}"  CACHE PATH "Lib data install directory [default=LIB_INSTALL_DIR]")
endif()
if(NOT DEFINED MAN_INSTALL_DIR)
    set(MAN_INSTALL_DIR "${prefix}/share/man"  CACHE PATH "man install directory [default=PREFIX/share/man]")
endif()
if (NOT DEFINED DBUS_SERVICE_DIR)
    set(DBUS_SERVICE_DIR "${CMAKE_INSTALL_PREFIX}/share/dbus-1/services" CACHE PATH "dbus session service directory [default=PREFIX/share/dbus-1/services]")
endif()
if (NOT DEFINED SYSCONFDIR)
    set(SYSCONFDIR "${CMAKE_INSTALL_PREFIX}/etc" CACHE PATH "sys config directory [default=PREFIX/etc/]")
endif()

set(includedir "${CMAKE_INSTALL_PREFIX}/include")
set(libdir ${LIB_INSTALL_DIR})
set(pkgconfdir ${LIBDATA_INSTALL_DIR}/pkgconfig)
set(mandir ${MAN_INSTALL_DIR})
set(addondir ${libdir}/${package} )
set(pkgdatadir ${prefix}/share/${package})
set(configdescdir ${pkgdatadir}/configdesc)
set(addonconfigdir ${pkgdatadir}/addon)
set(imconfigdir ${pkgdatadir}/inputmethod)
set(localedir ${CMAKE_INSTALL_PREFIX}/share/locale)

list(FIND CMAKE_PLATFORM_IMPLICIT_LINK_DIRECTORIES "${LIB_INSTALL_DIR}" _isSystemPlatformLibDir)
list(FIND CMAKE_CXX_IMPLICIT_LINK_DIRECTORIES "${LIB_INSTALL_DIR}" _isSystemCxxLibDir)
if("${_isSystemPlatformLibDir}" STREQUAL "-1" AND "${_isSystemCxxLibDir}" STREQUAL "-1")
    set(CMAKE_SKIP_BUILD_RPATH  FALSE)
    set(CMAKE_BUILD_WITH_INSTALL_RPATH FALSE)
    set(CMAKE_INSTALL_RPATH "${LIB_INSTALL_DIR}")
    set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
endif("${_isSystemPlatformLibDir}" STREQUAL "-1" AND "${_isSystemCxxLibDir}" STREQUAL "-1")

# For FcitxMacro
set(FCITX4_ADDON_INSTALL_DIR ${addondir})
set(FCITX4_CONFIGDESC_INSTALL_DIR ${configdescdir})
set(FCITX4_ADDON_CONFIG_INSTALL_DIR ${addonconfigdir})
set(FCITX4_INPUTMETHOD_CONFIG_INSTALL_DIR ${imconfigdir})
set(FCITX4_PACKAGE_NAME ${package})

function(_RESOLVE_LIBRARY_PATH _FILE_NAME _LIBRARY_PATH)
    if (CMAKE_OBJDUMP)
        execute_process (
            COMMAND ${CMAKE_OBJDUMP} -p "${_LIBRARY_PATH}"
            RESULT_VARIABLE STATUS
            OUTPUT_VARIABLE OBJDUMP_RESULT
            ERROR_QUIET
        )
        string(REGEX REPLACE ".*SONAME +([^ ]+)\n.*$" "\\1" SONAME_OUT "${OBJDUMP_RESULT}")
        if (SONAME_OUT)
            set(_FILE_NAME_OUT "${SONAME_OUT}")
        endif ()
    endif()
    if (NOT _FILE_NAME_OUT)
        get_filename_component(_FILE_NAME_OUT "${_LIBRARY_PATH}" NAME)
    endif()
    set(${_FILE_NAME} ${_FILE_NAME_OUT} PARENT_SCOPE)
endfunction()


if (NOT DEFINED OPENCC_LIBRARY_FILENAME)
    if (OPENCC_LIBRARIES)
        _RESOLVE_LIBRARY_PATH(OPENCC_LIBRARY_FILENAME "${OPENCC_LIBRARIES}")
    else ()
        set(OPENCC_LIBRARY_FILENAME
            "${CMAKE_SHARED_LIBRARY_PREFIX}opencc${CMAKE_SHARED_LIBRARY_SUFFIX}")
    endif ()
endif()

if(NOT DEFINED ENCHANT_LIBRARY_FILENAME)
    if (ENCHANT_LIBRARIES)
        _RESOLVE_LIBRARY_PATH(ENCHANT_LIBRARY_FILENAME "${ENCHANT_LIBRARIES}")
    else ()
        set(ENCHANT_LIBRARY_FILENAME
            "${CMAKE_SHARED_LIBRARY_PREFIX}enchant${CMAKE_SHARED_LIBRARY_SUFFIX}")
    endif ()
endif()
if(NOT DEFINED PRESAGE_LIBRARY_FILENAME)
    if (PRESAGE_LIBRARIES)
        _RESOLVE_LIBRARY_PATH(PRESAGE_LIBRARY_FILENAME "${PRESAGE_LIBRARIES}")
    else ()
        set(PRESAGE_LIBRARY_FILENAME
            "${CMAKE_SHARED_LIBRARY_PREFIX}presage${CMAKE_SHARED_LIBRARY_SUFFIX}")
    endif ()
endif()

set(CMAKE_C_FLAGS "-Wall -Wextra -Wno-sign-compare -Wno-unused-parameter -fvisibility=hidden ${CMAKE_C_FLAGS}")
set(CMAKE_CXX_FLAGS "-Wall -Wextra -Wno-sign-compare -Wno-unused-parameter -fvisibility=hidden ${CMAKE_CXX_FLAGS}")
set(CMAKE_SHARED_LINKER_FLAGS "-Wl,--as-needed ${CMAKE_SHARED_LINKER_FLAGS}")
set(CMAKE_MODULE_LINKER_FLAGS "-Wl,--as-needed ${CMAKE_MODULE_LINKER_FLAGS}")
add_definitions("-D_GNU_SOURCE -DFCITX_HAVE_CONFIG_H")

configure_file(${PROJECT_SOURCE_DIR}/config.h.in ${PROJECT_BINARY_DIR}/config.h)
configure_file("${PROJECT_SOURCE_DIR}/cmake/FcitxConfigVersion.cmake.in"
               "${PROJECT_BINARY_DIR}/cmake/FcitxConfigVersion.cmake"
                IMMEDIATE @ONLY
)

include_directories(${PROJECT_BINARY_DIR})
include_directories(${PROJECT_BINARY_DIR}/src/)
include_directories(${PROJECT_SOURCE_DIR}/src/)
include_directories(${PROJECT_SOURCE_DIR}/src/lib/)

# must be the first
add_subdirectory(po)
add_subdirectory(src)
add_subdirectory(doc)
add_subdirectory(skin)
add_subdirectory(tools)
add_subdirectory(data)
add_subdirectory(cmake)

if(ENABLE_TEST)
  add_subdirectory(test)
endif()

=== src/lib/fcitx-utils/CMakeLists.txt ===
set(FCITX_UTILS_SOURCES
  utf8.c
  utils.c
  log.c
  qsort_r.c
  msort_r.c
  memory.c
  handler-table.c
  objpool.c
  desktop-parse.c
  stringmap.c
  )

set(FCITX_UTILS_HEADERS
  log.h
  utarray.h
  utf8.h
  utils.h
  uthash.h
  memory.h
  keysym.h
  keysymgen.h
  bitset.h
  handler-table.h
  objpool.h
  desktop-parse.h
  stringmap.h
  )

if(_ENABLE_DBUS)
  include_directories(${DBUS_INCLUDE_DIRS})
  link_directories(${DBUS_LIBRARY_DIRS})
  set(FCITX_DBUS_LINK_LIBS ${FCITX_DBUS_LINK_LIBS}
    ${DBUS_LIBRARIES})
  set(dbus_noinstall)
else()
  set(dbus_noinstall NO_INSTALL)
endif()

fcitx_translate_add_sources(${FCITX_UTILS_SOURCES} ${FCITX_UTILS_HEADERS})

if(LIBKVM_FOUND)
  include_directories(LIBKVM_INCLUDE_DIR)
endif()

add_library(fcitx-utils SHARED ${FCITX_UTILS_SOURCES})
set_target_properties(fcitx-utils
  PROPERTIES VERSION 0.1
  SOVERSION 0
  COMPILE_FLAGS "-fvisibility=hidden"
  LINK_FLAGS "-Wl,--no-undefined"
  )
target_link_libraries(fcitx-utils ${LIBINTL_LIBRARIES}
  ${LIBICONV_LIBRARIES} ${LIBEXECINFO_LIBRARIES} ${DBUS_LIBRARIES})

if(LIBKVM_FOUND)
  target_link_libraries(fcitx-utils ${LIBKVM_LIBRARIES})
endif()

configure_file(fcitx-utils.pc.in ${CMAKE_CURRENT_BINARY_DIR}/fcitx-utils.pc)

install(TARGETS fcitx-utils LIBRARY DESTINATION "${libdir}")
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/fcitx-utils.pc
  DESTINATION "${pkgconfdir}")
install(FILES ${FCITX_UTILS_HEADERS} DESTINATION "${includedir}/fcitx-utils")

if(ENABLE_STATIC)
  add_library(fcitx-utils-static STATIC ${FCITX_UTILS_SOURCES})
  set_target_properties(fcitx-utils-static PROPERTIES
    OUTPUT_NAME "fcitx-utils"
    PREFIX "lib")
  install(TARGETS fcitx-utils-static
    LIBRARY DESTINATION ${libdir}
    ARCHIVE DESTINATION ${libdir})
endif()

=== src/module/implugin/CMakeLists.txt ===
set(FCITX_IMPLUGIN_SOURCES
  implugin.c)

fcitx_add_addon_full(implugin DESC
  SOURCES ${FCITX_IMPLUGIN_SOURCES})

set(FCITX_IMPLUGIN_SERVICE_SOURCES
  implugin-service.c
  minGlue.h
  minIni.h
  minIni.c
  )

set(FCITX_GSETTINGTOOL_SOURCES
  gsettings-tool.c
  minGlue.h
  minIni.h
  minIni.c
  )

include(FindPkgConfig)
PKG_CHECK_MODULES(DBUS "dbus-1>=1.1.0" )
PKG_CHECK_MODULES(GLIB2 REQUIRED "glib-2.0" )
PKG_CHECK_MODULES(GIO2 REQUIRED "gio-2.0>=2.26")

include_directories(${DBUS_INCLUDE_DIRS})
include_directories(${GLIB2_INCLUDE_DIRS})
include_directories(${GIO2_INCLUDE_DIRS})
link_directories(${GIO2_LIBRARY_DIRS})

add_executable(fcitx-implugin-service ${FCITX_IMPLUGIN_SERVICE_SOURCES})
target_link_libraries(fcitx-implugin-service fcitx-config fcitx-utils dbus-1 dbus-glib-1 glib-2.0 ${GIO2_LIBRARIES})
install(TARGETS fcitx-implugin-service DESTINATION "${bindir}")

add_executable(fcitx-gsettingtool ${FCITX_GSETTINGTOOL_SOURCES})
target_link_libraries(fcitx-gsettingtool fcitx-config fcitx-utils dbus-1 dbus-glib-1 glib-2.0 ${GIO2_LIBRARIES})
install(TARGETS fcitx-gsettingtool DESTINATION "${bindir}")

=== src/module/notificationitem/CMakeLists.txt ===
if(_ENABLE_DBUS)
  include_directories(
    ${DBUS_INCLUDE_DIRS})
  link_directories(${DBUS_LIBRARY_DIRS})
else()
  set(notificationitem_noinstall NO_INSTALL)
endif()

set(FCITX_NOTIFICATIONITEM_SOURCES
    notificationitem.c
    dbusmenu.c
    ../dbusstuff/property.c)
fcitx_add_addon_full(notificationitem ${notificationitem_noinstall}
  SCAN SCAN_PRIV
  HEADERS notificationitem.h
  SOURCES ${FCITX_NOTIFICATIONITEM_SOURCES}
  LINK_LIBS ${DBUS_LIBRARIES})

=== src/module/uos-notificationitem/CMakeLists.txt ===
if(_ENABLE_DBUS)
  include_directories(
    ${DBUS_INCLUDE_DIRS})
  link_directories(${DBUS_LIBRARY_DIRS})
else()
  set(uosnotificationitem_noinstall NO_INSTALL)
endif()

set(FCITX_UOSNOTIFICATIONITEM_SOURCES
    uosnotificationitem.c
    dbusmenu.c
    ../dbusstuff/property.c)
fcitx_add_addon_full(uosnotificationitem ${uosnotificationitem_noinstall}
  SCAN SCAN_PRIV
  HEADERS uosnotificationitem.h
  SOURCES ${FCITX_UOSNOTIFICATIONITEM_SOURCES}
  LINK_LIBS ${DBUS_LIBRARIES})

=== src/module/vk/CMakeLists.txt ===
include_directories(${DBUS_INCLUDE_DIRS})
link_directories(${DBUS_LIBRARY_DIRS})

set(FCITX_VK_LINK_LIBS)
if(_ENABLE_CAIRO)
  include_directories(${CAIRO_XLIB_INCLUDE_DIRS})
  link_directories(${CAIRO_XLIB_LIBRARY_DIRS})
  set(FCITX_VK_LINK_LIBS ${FCITX_VK_LINK_LIBS}
    ${X11_LIBRARIES} ${CAIRO_XLIB_LIBRARIES})
  if(_ENABLE_PANGO)
    include_directories(${PANGOCAIRO_INCLUDE_DIRS})
    link_directories(${PANGOCAIRO_LIBRARY_DIRS})
    set(FCITX_VK_LINK_LIBS ${FCITX_VK_LINK_LIBS} ${PANGOCAIRO_LIBRARIES})
  else()
    include_directories(${FONTCONFIG_INCLUDE_DIRS})
    link_directories(${FONTCONFIG_LIBRARY_DIRS})
    set(FCITX_VK_LINK_LIBS ${FCITX_VK_LINK_LIBS} ${FONTCONFIG_LIBRARIES})
  endif()
  set(vk_noinstall)
else()
  set(vk_noinstall NO_INSTALL)
endif()

set(FCITX_VK_SOURCES
  vk.c
  ../../ui/cairostuff/cairostuff.c
  ../../ui/cairostuff/font.c
  )

fcitx_add_addon_full(vk ${vk_noinstall}
  SOURCES ${FCITX_VK_SOURCES}
  LINK_LIBS ${FCITX_VK_LINK_LIBS})

=== debian/changelog ===
fcitx (1:4.2.9.32.14-1) unstable; urgency=medium

  * update

 -- Debian Input Method Team <debian-input-method@lists.debian.org>  Tue, 21 Dec 2021 16:33:05 +0800

fcitx (1:4.2.9.32.10-1) unstable; urgency=medium

 * 1050 集成版本

 -- chenshijie <chenshijie@uniontech.com>  Fri Nov 19 15:00:00 2021 +0800

fcitx (1:4.2.9.32.5-1) unstable; urgency=medium

 * 1042 集成版本

 -- chenshijie <chenshijie@uniontech.com>  Fri Jul 16 14:00:00 2021 +0800

fcitx (1:4.2.9.31.93-1) unstable; urgency=medium

 * 1040 集成版本

 -- chenshijie <chenshijie@uniontech.com>  Thu Jun 17 10:00:00 2021 +0800

fcitx (1:4.2.9.31-1) unstable; urgency=medium

 * 平板项目支持,直接选中备选词接口SelectTotalCandidate

 -- chenshijie <chenshijie@uniontech.com>  Mon Jan 28 10:00:00 2021 +0800

fcitx (1:4.2.9.30-1) unstable; urgency=medium

 * 替换 ISOCODES_ISO639_XML iso_639.xml 为 ISOCODES_ISO639_JSON iso_639-3.json

 -- chenshijie <chenshijie@uniontech.com>  Mon Jan 4 13:08:00 2021 +0800

fcitx (1:4.2.9.29-1) unstable; urgency=medium

 * 提示信息为英文【classic】、【default】、【dark】 国产自主化，建议修改提示信息为中文【经典】、【默认】、【黑暗】

 -- chenshijie <chenshijie@uniontech.com>  Fri Nov 27 12:22:59 2020 +0800

fcitx (1:4.2.9.28-1) unstable; urgency=medium

 * 修复盘古 fcitx-watcher 产生崩溃日志

 -- chenshijie <chenshijie@uniontech.com>  Wed Nov 18 11:07:19 2020 +0800

fcitx (1:4.2.9.27-1) unstable; urgency=medium
  
 * update github fcitx fork

 -- chenshijie <chenshijie@uniontech.com>  Tue Oct 28 16:07:19 2020 +0800
  

fcitx (1:4.2.9.26-1) unstable; urgency=medium

 * 通过启动器/任务栏快捷方式/桌面快捷方式打开输入法配置，任务栏有两个输入法配置图标(一般+必现+常用功能)

 -- chenshijie <chenshijie@uniontech.com>  Mon Oct 27 10:07:19 2020 +0800

fcitx (1:4.2.9.25-1) unstable; urgency=medium
  
  *【全平台】【robot】【DDE】【任务栏】【Tooltips】“输入法 配置”变成了“Fcitx 配置”
  
 -- chenshijie <chenshijie@uniontech.com>  Tue Oct 20 10:07:19 2020 +0800

fcitx (1:4.2.9.19-2) unstable; urgency=medium
  
  *Modify version
  
 -- huxiaodong_cm <huxiaodong_cm@deepin.com>  Thu Jun 4 11:07:19 2020 +0800

fcitx (1:3.2.060108-3) unstable; urgency=low

  * Modify fcitx scrip for Qt/KDE

 -- Yu Guanghui <ygh@debian.org>  Sun, 30 Apr 2006 13:40:34 +0800

fcitx (1:3.2.060108-2) unstable; urgency=low

  * Add missing dependency libxpm-dev. Closes: #364670

 -- Yu Guanghui <ygh@debian.org>  Tue, 25 Apr 2006 12:20:52 +0800

fcitx (1:3.2.060108-1) unstable; urgency=high

  * New upstream release
  * Fixed RC bug. Closes: #357551
  * Add im-switch support. Thank Hou ZhengPeng <zhengpeng.hou@gmail.com>'s
    patch. Closes: #314743
  * Move Arphic fonts to Recommanded. Maybe it's time to packages other
    free chinese fonts. Closes: #293624

 -- Yu Guanghui <ygh@debian.org>  Mon, 24 Apr 2006 22:38:26 +0800

fcitx (1:3.1.1-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * High-urgency upload for RC bugfix.
  * Build-depend on libx11-dev, libxft-dev, and x-dev instead of on the
    obsolete xlibs-dev; thanks to Justin Pryzby <justinpryzby@users.sf.net>
    for testing.  Closes: #346744.
  * Re-run autoconf to pick up a version of AC_PATH_X that doesn't depend on
    libxt-dev.  Also add AM_MAINTAINER_MODE to configure.in, which seems to
    have been left out previously.

 -- Steve Langasek <vorlon@debian.org>  Fri, 20 Jan 2006 08:03:06 -0800

fcitx (1:3.1.1-1) unstable; urgency=low

  * New upstream release

 -- Yu Guanghui <ygh@debian.org>  Wed,  6 Apr 2005 16:30:47 +0800

fcitx (1:3.1-1) unstable; urgency=low

  * New upstream release

 -- Yu Guanghui <ygh@debian.org>  Wed, 23 Mar 2005 16:05:18 +0800

fcitx (1:3.0.3-1) unstable; urgency=low

  * New upstream release (Closes:Bug#285461)
  * Remove wrong installed file. (Closes:Bug#281718,Bug#284538)

 -- Yu Guanghui <ygh@debian.org>  Sun,  2 Jan 2005 13:50:18 +0800

fcitx (1:3.0.0-1) unstable; urgency=low

  * New upstream release (Closes:Bug#270422)

 -- Yu Guanghui <ygh@debian.org>  Tue, 7 Sep 2004 21:49:36 +0800

fcitx (1:2.0.2-3) unstable; urgency=low

  * Sorry, Oops. Forgot one, Fixed again. (Closes:Bug#250423)

 -- Yu Guanghui <ygh@debian.org>  Fri, 11 Jun 2004 01:58:36 +0800

fcitx (1:2.0.2-2) unstable; urgency=low

  * Fixed 64bit platforms error. Thanks Andreas Jochens <aj at
    andaco.de>'s patch. (Closes:Bug#250423)

 -- Yu Guanghui <ygh@debian.org>  Thu, 10 Jun 2004 21:37:04 +0800

fcitx (1:2.0.2-1) unstable; urgency=low

  * New upstream release

 -- Yu Guanghui <ygh@debian.org>  Mon, 10 May 2004 11:14:08 +0800

fcitx (1:2.0.1-1) unstable; urgency=low

  * New upstream release

 -- Wang WenRui <wangwr@ustc.edu>  Fri,  9 Jan 2004 22:25:38 +0800

fcitx (1:2.0-1) unstable; urgency=low

  * New upstream release.

 -- Su Yong <yoyosu@ustc.edu.cn>  Thu,  8 Jan 2004 20:19:34 +0800

fcitx (1:1.8.5-1) unstable; urgency=low

  * New upstream release

 -- Yu Guanghui <ygh@debian.org>  Fri, 23 May 2003 00:43:04 +0800

fcitx (1:1.8.4-3) unstable; urgency=low

  * Fixed build error on arch without SIGUNUSED.

 -- Yu Guanghui <ygh@debian.org>  Thu,  8 May 2003 11:18:28 +0800

fcitx (1:1.8.4-2) unstable; urgency=low

  * Remove gbk fonts.
  * minor fixes.
  * Just found it in wnpp, close it. (Closes:Bug#189271)

 -- Yu Guanghui <ygh@debian.org>  Sat,  3 May 2003 15:56:54 +0800

fcitx (1:1.8.4-1) unstable; urgency=low

  * Initial Release.

 -- Yu Guanghui <ygh@debian.org>  Sat,  3 May 2003 14:24:40 +0800

Local variables:
mode: debian-changelog
End:

=== debian/control ===
# debian/control is generated automatically from control.in by running the clean target
Source: fcitx
Section: utils
Priority: optional
Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
Uploaders: Aron Xu <aron@debian.org>, YunQiang Su <syq@debian.org>
Build-Depends: cmake,
               debhelper (>= 10),
               extra-cmake-modules,
               gobject-introspection,
               iso-codes,
               qtbase5-dev,
               libcairo2-dev (>= 1.0),
               libenchant-2-dev,
               libgettextpo-dev,
               libgirepository1.0-dev,
               libgtk-3-dev,
               libgtk2.0-dev,
               libicu-dev,
               libjson-c-dev,
               libkvm-dev [kfreebsd-any],
               liblua5.2-dev | liblua5.1-0-dev,
               libopencc-dev (>= 1.0.1),
               libpango1.0-dev (>= 1.0),
               libpresage-dev (>= 0.9.1-1.1~),
               libqt4-dev,
               libxkbfile-dev,
               libxkbcommon-dev (>= 0.5.0~),
               libxml2-dev,
               uuid-dev,
               x11proto-xinerama-dev,
               libdbus-glib-1-dev
Standards-Version: 4.2.1
Homepage: https://github.com/fcitx/fcitx
Vcs-Git: https://salsa.debian.org/input-method-team/fcitx.git
Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx
X-Ubuntu-Use-Langpack: yes

Package: fcitx
Architecture: all
Depends: fcitx-bin, fcitx-data, fcitx-modules, ${misc:Depends}
Recommends: fcitx-config-gtk | kde-config-fcitx,
            fcitx-frontend-all | fcitx-frontend-fbterm,
            fcitx-ui-classic | fcitx-ui-light,
            im-config (>= 0.5)
Suggests: fcitx-m17n, fcitx-tools
Description: Flexible Input Method Framework
 Fcitx is an input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems.
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ 2/3 and Qt 4/5 IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This metapackage pulls in a set of components recommended for most desktop
 users.

Package: fcitx-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: fcitx-data, fcitx-modules
Suggests: fcitx (>= ${source:Upstream-Version})
Replaces:
 fcitx (<< ${source:Upstream-Version}),
 fcitx-libs-dev (<< ${source:Version}),
Breaks:
 fcitx (<< ${source:Upstream-Version}),
 fcitx-libs-dev (<< ${source:Version}),
Description: Flexible Input Method Framework - essential binaries
 Fcitx is an input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems.
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ 2/3 and Qt 4/5 IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This package provides the essential executable binaries. If you are
 looking for a working input experience, please install the package
 "fcitx" instead.

Package: fcitx-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: fcitx-bin
Suggests: fcitx (>= ${source:Upstream-Version})
Replaces: fcitx (<< ${source:Upstream-Version})
Breaks: fcitx (<< ${source:Upstream-Version})
Description: Flexible Input Method Framework - essential data files
 Fcitx is an input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems.
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ 2/3 and Qt 4/5 IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This package provides the essential data files. If you are looking for a
 working input experience, please install the package "fcitx" instead.

Package: fcitx-libs
Architecture: all
Section: oldlibs
Depends: libfcitx-config4 (>= ${source:Version}),
         libfcitx-core0 (>= ${source:Version}),
         libfcitx-utils0 (>= ${source:Version}),
         libfcitx-gclient1 (>= ${source:Version}),
         libfcitx-qt0 (>= ${source:Version}),
         ${misc:Depends}
Suggests: fcitx (>= ${source:Upstream-Version})
Replaces: fcitx (<< ${source:Upstream-Version})
Breaks: fcitx (<< ${source:Upstream-Version})
Description: Flexible Input Method Framework - metapackage for libraries
 Fcitx is an input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems.
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ 2/3 and Qt 4/5 IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This package depends on all public libraries of fcitx.

Package: libfcitx-config4
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: fcitx (>= ${source:Upstream-Version})
Replaces: fcitx (<< ${source:Upstream-Version}), fcitx-libs (<< 1:4.2.8.5-3)
Breaks: fcitx (<< ${source:Upstream-Version}), fcitx-libs (<< 1:4.2.8.5-3)
Description: Flexible Input Method Framework - configuration support library
 Fcitx is an input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems.
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ 2/3 and Qt 4/5 IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This package contains the library file:
  * libfcitx-config - support library for Fcitx configurations

Package: libfcitx-core0
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: fcitx (>= ${source:Upstream-Version})
Replaces: fcitx (<< ${source:Upstream-Version}), fcitx-libs (<< 1:4.2.8.5-3)
Breaks: fcitx (<< ${source:Upstream-Version}), fcitx-libs (<< 1:4.2.8.5-3)
Description: Flexible Input Method Framework - library of core functions
 Fcitx is an input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems.
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ 2/3 and Qt 4/5 IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This package contains the library file:
  * libfcitx-core - core functions of Fcitx

Package: libfcitx-utils0
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: fcitx (>= ${source:Upstream-Version})
Replaces: fcitx (<< ${source:Upstream-Version}), fcitx-libs (<< 1:4.2.8.5-3)
Breaks: fcitx (<< ${source:Upstream-Version}), fcitx-libs (<< 1:4.2.8.5-3)
Description: Flexible Input Method Framework - utility support library
 Fcitx is an input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems.
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ 2/3 and Qt 4/5 IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This package contains the library file:
  * libfcitx-utils - utility support library for Fcitx

Package: libfcitx-gclient1
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: fcitx (>= ${source:Upstream-Version})
Replaces: fcitx (<< ${source:Upstream-Version}),
          fcitx-libs-gclient (<< 1:4.2.8.5-3)
Breaks: fcitx (<< ${source:Upstream-Version}),
        fcitx-libs-gclient (<< 1:4.2.8.5-3)
Description: Flexible Input Method Framework - D-Bus client library for Glib
 Fcitx is an input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems.
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ 2/3 and Qt 4/5 IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This package contains the following library:
  * libfcitx-gclient - D-Bus client library for Glib

Package: libfcitx-qt0
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: fcitx (>= ${source:Upstream-Version})
Replaces: fcitx (<< ${source:Upstream-Version}), fcitx-libs-qt
Breaks: fcitx (<< ${source:Upstream-Version}), fcitx-libs-qt
Provides: fcitx-libs-qt
Description: Flexible Input Method Framework - Meta package for Qt library
 Fcitx is an input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems.
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ 2/3 and Qt 4/5 IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This package contains the following library:
  * libfcitx-qt - D-Bus client library for Qt

Package: fcitx-libs-dev
Architecture: any
Section: libdevel
Depends: fcitx-bin (>= ${source:Version}),
         gir1.2-fcitx-1.0 (= ${binary:Version}),
         libfcitx-config4 (= ${binary:Version}),
         libfcitx-core0 (= ${binary:Version}),
         libfcitx-gclient1 (= ${binary:Version}),
         libfcitx-qt0 (= ${binary:Version}),
         libfcitx-utils0 (= ${binary:Version}),
         ${misc:Depends}
Replaces: fcitx (<< ${source:Upstream-Version})
Breaks: fcitx (<< ${source:Upstream-Version})
Description: Flexible Input Method Framework - library development files
 Fcitx is an input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems.
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ 2/3 and Qt 4/5 IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This package provides the library development files.

Package: gir1.2-fcitx-1.0
Architecture: any
Section: introspection
Depends: ${gir:Depends}, ${misc:Depends}
Suggests: fcitx (>= ${source:Upstream-Version})
Replaces: fcitx (<< ${source:Upstream-Version})
Breaks: fcitx (<< ${source:Upstream-Version})
Description: GObject introspection data for fcitx

=== debian/rules ===
#!/usr/bin/make -f

include debian/variables.mk
include debian/gencontrol.mk

%:
	dh $@ --with gir

override_dh_auto_clean: gen_control
	dh_auto_clean

override_dh_auto_configure: gen_control
	dh_auto_configure -- \
	    -DCMAKE_BUILD_TYPE=Release \
	    -DLIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
	    -DSYSCONFDIR=/etc \
	    -DENABLE_X11=ON \
	    -DENABLE_GLIB2=ON \
	    -DENABLE_CAIRO=ON \
	    -DENABLE_DBUS=ON \
	    -DENABLE_PANGO=ON \
	    -DENABLE_XKB=ON \
	    -DENABLE_DEBUG=OFF \
	    -DENABLE_PINYIN=ON \
	    -DENABLE_TABLE=ON \
	    -DENABLE_GTK2_IM_MODULE=ON \
	    -DENABLE_GTK3_IM_MODULE=ON \
	    -DENABLE_QT=ON \
	    -DENABLE_QT_IM_MODULE=ON \
	    -DENABLE_QT_GUI=ON \
	    -DENABLE_LUA=ON \
	    -DENABLE_STATIC=OFF \
	    -DENABLE_TEST=ON \
	    -DENABLE_SNOOPER=ON \
	    -DENABLE_GIR=ON \
	    -DENABLE_ENCHANT=ON \
	    -DENABLE_PRESAGE=ON \
	    -DENABLE_BACKTRACE=ON \
	    -DENABLE_XDGAUTOSTART=ON \
	    -DENABLE_GETTEXT=ON \ 
	    pkg-config --libs dbus-1

override_dh_missing:
	dh_missing --fail-missing

override_dh_makeshlibs:
	dh_makeshlibs -plibfcitx-core0
	dh_makeshlibs -plibfcitx-config4
	dh_makeshlibs -plibfcitx-utils0
	dh_makeshlibs -plibfcitx-qt0
	dh_makeshlibs -plibfcitx-gclient1

override_dh_strip:
	dh_strip --dbgsym-migration='fcitx-dbg (<< 4.2.9.4-1~)'

## fcitx 4.2.9.32.26

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 project(fcitx)
 
-set(version 4.2.9.32.10)
+set(version 4.2.9.32.32)
 
 if (CMAKE_HOST_SYSTEM_PROCESSOR MATCHES "mips64")
     SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -O3 -Wl,-O1 -Wl,--as-needed -Wl,-E -fPIE -ffunction-sections -fdata-sections -Wl,--gc-sections -ftree-vectorize -march=loongson3a -mhard-float -mno-micromips -mno-mips16 -flax-vector-conversions -mloongson-ext2 -mloongson-mmi -z noexecstack")

=== man/CMakeLists.txt ===
set(FCITX_MANS
fcitx.1 createPYMB.1 readPYBase.1 readPYMB.1 mb2org.1 scel2org.1 mb2txt.1 txt2mb.1 fcitx-remote.1 fcitx-implugin-service.1 fcitx-gsettingtool.1
)

install(FILES ${FCITX_MANS} DESTINATION "${mandir}/man1")

=== module/notificationitem/CMakeLists.txt ===
if(_ENABLE_DBUS)
  include_directories(
    ${DBUS_INCLUDE_DIRS})
  link_directories(${DBUS_LIBRARY_DIRS})
else()
  set(notificationitem_noinstall NO_INSTALL)
endif()

set(FCITX_NOTIFICATIONITEM_SOURCES
    notificationitem.c
    dbusmenu.c
    ../dbusstuff/property.c)
fcitx_add_addon_full(notificationitem ${notificationitem_noinstall}
  SCAN SCAN_PRIV
  HEADERS notificationitem.h
  DESC SOURCES ${FCITX_NOTIFICATIONITEM_SOURCES}
  LINK_LIBS ${DBUS_LIBRARIES})

## fcitx 4.2.9.32.37

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 project(fcitx)
 
-set(version 4.2.9.32.32)
+set(version 4.2.9.32.36)
 
 if (CMAKE_HOST_SYSTEM_PROCESSOR MATCHES "mips64")
     SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -O3 -Wl,-O1 -Wl,--as-needed -Wl,-E -fPIE -ffunction-sections -fdata-sections -Wl,--gc-sections -ftree-vectorize -march=loongson3a -mhard-float -mno-micromips -mno-mips16 -flax-vector-conversions -mloongson-ext2 -mloongson-mmi -z noexecstack")

=== test/CMakeLists.txt ===
include_directories(${PROJECT_SOURCE_DIR}/src)
include_directories(${PROJECT_SOURCE_DIR}/src/lib)
include_directories(${PROJECT_SOURCE_DIR}/src/im/pinyin)
include_directories(${PROJECT_SOURCE_DIR}/src/module/unicode)
include_directories(${PROJECT_SOURCE_DIR}/src/module/dbus)

add_executable(testsort testsort.c)
target_link_libraries(testsort fcitx-utils)

add_executable(testbacktrace testbacktrace.c)
target_link_libraries(testbacktrace fcitx-utils)

add_executable(testconfig testconfig.c)
target_link_libraries(testconfig fcitx-config)

add_executable(testmessage testmessage.c)
target_link_libraries(testmessage fcitx-core)

add_executable(teststring teststring.c)
target_link_libraries(teststring fcitx-utils)

add_executable(testarray testarray.c)
target_link_libraries(testarray fcitx-utils)

add_executable(testhash testhash.c)
target_link_libraries(testhash fcitx-utils)

add_executable(testutf8 testutf8.c)
target_link_libraries(testutf8 fcitx-utils)

add_executable(testxdg testxdg.c)
target_link_libraries(testxdg fcitx-config fcitx-utils)

add_executable(testunicode testunicode.c ../src/module/unicode/charselectdata.c)
target_link_libraries(testunicode fcitx-utils fcitx-config)

add_executable(testobjpool testobjpool.c)
target_link_libraries(testobjpool fcitx-utils)

add_executable(testcast testcast.c)
target_link_libraries(testcast fcitx-utils)

add_executable(testhandlertable testhandlertable.c)
target_link_libraries(testhandlertable fcitx-utils)

add_executable(testhotkey testhotkey.c)
target_link_libraries(testhotkey fcitx-config)

add_executable(testpinyin
    ../src/im/pinyin/pyParser.c
    ../src/im/pinyin/pyMapTable.c
    ../src/im/pinyin/PYFA.c
    ../src/im/pinyin/sp.c
    testpinyin.c
)

target_link_libraries(testpinyin fcitx-config)

add_executable(testdbuslaunch testdbuslaunch.c
               ../src/module/dbus/dbuslauncher.c
               )

if(_ENABLE_DBUS)
  include_directories(${DBUS_INCLUDE_DIRS})
  link_directories(${DBUS_LIBRARY_DIRS})
endif()

target_link_libraries(testdbuslaunch fcitx-utils)

add_test(NAME testconfig
         COMMAND testconfig ${CMAKE_CURRENT_SOURCE_DIR}/test.desc ${CMAKE_CURRENT_SOURCE_DIR}/test.conf ${CMAKE_CURRENT_BINARY_DIR}/test.conf)

add_test(NAME testmessage
         COMMAND testmessage)

add_test(NAME testbacktrace
         COMMAND testbacktrace)

add_test(NAME testpinyin
         COMMAND testpinyin)

add_test(NAME teststring
         COMMAND teststring)

add_test(NAME testarray
         COMMAND testarray)

add_test(NAME testhash
         COMMAND testhash)

add_test(NAME testobjpool
         COMMAND testobjpool)

add_test(NAME testcast
         COMMAND testcast)

add_test(NAME testhandlertable
         COMMAND testhandlertable)

add_test(NAME testutf8
         COMMAND testutf8)

add_test(NAME testxdg
         COMMAND testxdg)

add_test(NAME testunicode
         COMMAND testunicode ${PROJECT_SOURCE_DIR}/src/module/unicode/charselectdata)

add_test(NAME testdbuslaunch
         COMMAND testdbuslaunch)

add_test(NAME testhotkey
         COMMAND testhotkey)

add_test(NAME testsort
         COMMAND testsort)

=== skin/classic/CMakeLists.txt ===
file(GLOB SKIN_FILES *.png)

fcitx_translate_add_sources(
  fcitx_skin.conf.in)
fcitx_translate_add_apply_source(
  fcitx_skin.conf.in
  "${CMAKE_CURRENT_BINARY_DIR}/fcitx_skin.conf")

install(FILES ${SKIN_FILES} "${CMAKE_CURRENT_BINARY_DIR}/fcitx_skin.conf" DESTINATION ${pkgdatadir}/skin/classic)

=== src/frontend/CMakeLists.txt ===
add_subdirectory(xim)
add_subdirectory(ipc)
add_subdirectory(ipcportal)

if(_ENABLE_DBUS)
  if(ENABLE_GLIB2 AND (ENABLE_GTK2_IM_MODULE OR ENABLE_GTK3_IM_MODULE))
    PKG_CHECK_MODULES(GLIB2 REQUIRED "glib-2.0" )
    PKG_CHECK_MODULES(GIO2 REQUIRED "gio-2.0>=2.26")
    _pkgconfig_invoke("glib-2.0" GLIB2 GLIB_GENMARSHAL
      "" "--variable=glib_genmarshal")
    FIND_PROGRAM(GLIB_GENMARSHAL ${GLIB2_GLIB_GENMARSHAL})
  endif()
  if(NOT ENABLE_GLIB2)
    set(ENABLE_GTK2_IM_MODULE off)
    set(ENABLE_GTK3_IM_MODULE off)
  endif()
else()
  set(ENABLE_QT_IM_MODULE off)
  set(ENABLE_GTK2_IM_MODULE off)
  set(ENABLE_GTK3_IM_MODULE off)
endif()

add_subdirectory(gtk2)
add_subdirectory(gtk3)
add_subdirectory(qt)

=== src/frontend/gtk2/CMakeLists.txt ===
set(FCITX_GTK2_IM_MODULE_GIO_SOURCES
  fcitxim.c
  fcitximcontext.c
  )

fcitx_translate_add_sources(
  ${FCITX_GTK2_IM_MODULE_GIO_SOURCES})

if(NOT ENABLE_GTK2_IM_MODULE)
  return()
endif()

PKG_CHECK_MODULES(GTK2 REQUIRED "gtk+-2.0" )
_pkgconfig_invoke("gtk+-2.0" GTK2 BINARY_VERSION
  "" "--variable=gtk_binary_version")

if (NOT DEFINED GTK2_IM_MODULEDIR)
    set(GTK2_IM_MODULEDIR "${LIB_INSTALL_DIR}/gtk-2.0/${GTK2_BINARY_VERSION}/immodules" CACHE PATH "Gtk2 im module directory")
endif()

include_directories(${GTK2_INCLUDE_DIRS})
include_directories(${CMAKE_CURRENT_BINARY_DIR})
link_directories(${GTK2_LIBRARY_DIRS})

include_directories(${GIO2_INCLUDE_DIRS})
link_directories(${GIO2_LIBRARY_DIRS})

set(FCITX_GTK2_IM_MODULE_SOURCES ${FCITX_GTK2_IM_MODULE_GIO_SOURCES})

add_library(im-fcitx MODULE ${FCITX_GTK2_IM_MODULE_SOURCES})
set_target_properties( im-fcitx PROPERTIES PREFIX ""
  COMPILE_FLAGS "-fvisibility=hidden" LINK_FLAGS "-Wl,--no-undefined")
target_link_libraries(im-fcitx XKBCommon::XKBCommon ${GTK2_LIBRARIES} ${GIO2_LIBRARIES}
    fcitx-gclient fcitx-utils)
install(TARGETS im-fcitx DESTINATION "${GTK2_IM_MODULEDIR}")

=== src/frontend/gtk3/CMakeLists.txt ===
if(NOT ENABLE_GTK3_IM_MODULE)
  return()
endif()
PKG_CHECK_MODULES(GTK3 REQUIRED "gtk+-3.0" )

_pkgconfig_invoke("gtk+-3.0" GTK3 BINARY_VERSION
  "" "--variable=gtk_binary_version")

if (NOT DEFINED GTK3_IM_MODULEDIR)
    set(GTK3_IM_MODULEDIR "${LIB_INSTALL_DIR}/gtk-3.0/${GTK3_BINARY_VERSION}/immodules" CACHE PATH "Gtk3 im module directory")
endif()

include_directories(${GTK3_INCLUDE_DIRS})
include_directories(${CMAKE_CURRENT_BINARY_DIR})
link_directories(${GTK3_LIBRARY_DIRS})

include_directories(${GIO2_INCLUDE_DIRS})
link_directories(${GIO2_LIBRARY_DIRS})

set(FCITX_GTK3_IM_MODULE_SOURCES
  fcitxim.c
  fcitximcontext.c)

add_library(im-fcitx-gtk3 MODULE ${FCITX_GTK3_IM_MODULE_SOURCES})
set_target_properties( im-fcitx-gtk3 PROPERTIES PREFIX ""
  COMPILE_FLAGS "-fvisibility=hidden" OUTPUT_NAME "im-fcitx"
  LINK_FLAGS "-Wl,--no-undefined")

target_link_libraries(im-fcitx-gtk3 XKBCommon::XKBCommon ${GTK3_LIBRARIES} ${GIO2_LIBRARIES}
    fcitx-gclient fcitx-utils)
install(TARGETS im-fcitx-gtk3 DESTINATION "${GTK3_IM_MODULEDIR}")

=== src/ui/classic/CMakeLists.txt ===
include_directories(${DBUS_INCLUDE_DIRS})
link_directories(${DBUS_LIBRARY_DIRS})

set(FCITX_CLASSIC_UI_LINK_LIBS)
if(_ENABLE_CAIRO)
  include_directories(${CAIRO_XLIB_INCLUDE_DIRS})
  link_directories(${CAIRO_XLIB_LIBRARY_DIRS})
  set(FCITX_CLASSIC_UI_LINK_LIBS ${FCITX_CLASSIC_UI_LINK_LIBS} ${X11_Xext_LIB}
    ${X11_LIBRARIES} ${CAIRO_XLIB_LIBRARIES})
  if(_ENABLE_PANGO)
    include_directories(${PANGOCAIRO_INCLUDE_DIRS})
    link_directories(${PANGOCAIRO_LIBRARY_DIRS})
    set(FCITX_CLASSIC_UI_LINK_LIBS ${FCITX_CLASSIC_UI_LINK_LIBS}
      ${PANGOCAIRO_LIBRARIES})
  else()
    include_directories(${FONTCONFIG_INCLUDE_DIRS})
    link_directories(${FONTCONFIG_LIBRARY_DIRS})
    set(FCITX_CLASSIC_UI_LINK_LIBS ${FCITX_CLASSIC_UI_LINK_LIBS}
      ${FONTCONFIG_LIBRARIES})
  endif()
  include_directories(${X11_Xshape_INCLUDE_PATH})
  add_custom_target(installer-desktopfile ALL
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/fcitx-skin-installer.desktop")

  install(FILES fcitx-skin-installer.sh RENAME fcitx-skin-installer
    DESTINATION "${bindir}"
    PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE
    GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)
  fcitx_translate_add_apply_source(
    "fcitx-skin-installer.desktop.in"
    "${CMAKE_CURRENT_BINARY_DIR}/fcitx-skin-installer.desktop")
  install(FILES "${CMAKE_CURRENT_BINARY_DIR}/fcitx-skin-installer.desktop"
    DESTINATION share/applications/)
  install(FILES x-fskin.xml DESTINATION share/mime/packages/)
  set(classicui_noinstall)
else()
  set(classicui_noinstall NO_INSTALL)
endif()

set(FCITX_CLASSIC_UI_SOURCES
  ../cairostuff/font.c
  ../cairostuff/cairostuff.c
  classicui.c
  classicuiconfig.c
  XlibWindow.c
  InputWindow.c
  MainWindow.c
  MenuWindow.c
  TrayWindow.c
  tray.c
  skinconfig.c
  skin.c
  )

fcitx_add_addon_full(classic-ui DESC SCAN SCAN_PRIV ${classicui_noinstall}
  HEADER_DIR classicui
  FXADDON_SRC fcitx-classicui.fxaddon
  FXADDON_GEN fcitx-classicui.h
  SOURCES ${FCITX_CLASSIC_UI_SOURCES}
  HEADERS classicuiinterface.h
  LINK_LIBS ${FCITX_CLASSIC_UI_LINK_LIBS}
  EXTRA_DESC skin.desc
  EXTRA_PO fcitx-skin-installer.desktop.in fcitx-skin-installer.sh)

=== src/module/pinyin-enhance/data/CMakeLists.txt ===

set(PY_STROKE_VER 20121124)
set(PY_STROKE_TGT "${CMAKE_CURRENT_BINARY_DIR}/py_stroke.mb")
set(PY_STROKE_TAR "py_stroke-${PY_STROKE_VER}.tar.gz")
set(PY_STROKE_URL
  "http://download.fcitx-im.org/data/py_stroke-${PY_STROKE_VER}.tar.gz")
fcitx_download(py-stroke-download "${PY_STROKE_URL}" "${PY_STROKE_TAR}"
  MD5SUM 2559d025c5bbb50fa450a02429f92762)
fcitx_extract(py-stroke-extract "${PY_STROKE_TAR}" DEPENDS py-stroke-download
  OUTPUT ${PY_STROKE_TGT})
install(FILES "${PY_STROKE_TGT}" DESTINATION "${pkgdatadir}/py-enhance")

set(PY_TABLE_VER 20121124)
set(PY_TABLE_TGT "${CMAKE_CURRENT_BINARY_DIR}/py_table.mb")
set(PY_TABLE_TAR "py_table-${PY_TABLE_VER}.tar.gz")
set(PY_TABLE_URL
  "http://download.fcitx-im.org/data/py_table-${PY_TABLE_VER}.tar.gz")
fcitx_download(py-table-download "${PY_TABLE_URL}" "${PY_TABLE_TAR}"
  MD5SUM a72e275fe1916d67d01a2f038ca5d920)
fcitx_extract(py-table-extract "${PY_TABLE_TAR}" DEPENDS py-table-download
  OUTPUT ${PY_TABLE_TGT})
install(FILES "${PY_TABLE_TGT}" DESTINATION "${pkgdatadir}/py-enhance")

=== debian/changelog ===
fcitx (1:4.2.9.32.37-1) unstable; urgency=medium

  * update

 -- Debian Input Method Team <debian-input-method@lists.debian.org>  Wed, 25 May 2022 13:47:45 +0800

fcitx (1:4.2.9.32.36-1) unstable; urgency=medium

 * 1051 更新版本

 -- chenshijie <chenshijie@uniontech.com>  Mon Apr 18 10:44:00 2022 +0800

fcitx (1:4.2.9.32.26-1) unstable; urgency=medium

 * 1050 更新版本

 -- chenshijie <chenshijie@uniontech.com>  Thu Jan 13 13:15:17 2022 +0800
